<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="curriculum">
		<html>
			<head>
				<title><xsl:value-of select="dati/cognome" />&#160;<xsl:value-of select="dati/nome" /> - Curriculum Vitae et 
					Studioroum</title>
				<link rel="stylesheet" href="stile.css" type="text/css" />
			</head>
			<body>
				<h1>Curriculum Vitae et Studioroum</h1>
				<h2>TARGET</h2>
				<ul>
					<xsl:for-each select="obiettivo">
						<li>
							<xsl:value-of select="."></xsl:value-of>
						</li>
					</xsl:for-each>
				</ul>
				<xsl:apply-templates select="dati" />
				<xsl:apply-templates select="studi" />
				<xsl:apply-templates select="linguestraniere" />
				<xsl:apply-templates select="lavoro" />
				<xsl:apply-templates select="knowhow" />
				<br />
				<br />
				<span class="giustificato">
					<xsl:value-of select="conclusione"></xsl:value-of>
				</span>
				<br />
				<br />
			</body>
		</html>
	</xsl:template>
	<!-- RIEPILOGO DATI -->
	<xsl:template match="dati">
		<table summary="dati anagrafici">
			<thead>
				<tr>
					<td colspan="2">
						<h2>DETAILS</h2>
					</td>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td width="30%">
						<b>First name: </b>
					</td>
					<td><xsl:value-of select="nome" />&#160;</td>
				</tr>
				<tr>
					<td>
						<b>Surname: </b>
					</td>
					<td>
						<xsl:value-of select="cognome" />
					</td>
				</tr>
				<tr>
					<td>
						<b>Title: </b>
					</td>
					<td>
						<xsl:value-of select="titolo" />
					</td>
				</tr>
				<tr>
					<td>
						<b>Address:</b>
					</td>
					<td><xsl:value-of select="indirizzo/via" /><br /> 
						<xsl:value-of select="indirizzo/cap" />&#160; 
						<xsl:value-of select="indirizzo/citta" />&#160;
						<xsl:if test="indirizzo/provincia">
							(<xsl:value-of select="indirizzo/provincia" />)<br /> 
						</xsl:if>
						<xsl:value-of select="indirizzo/nazione" /></td>
				</tr>
				<tr>
					<td>
						<b>Place of birth:</b>
					</td>
					<td><xsl:value-of select="luogonascita" /> (<xsl:value-of select="datanascita" />)</td>
				</tr>
				<tr>
					<td>
						<b>Driving licence:</b>
					</td>
					<td>
						<xsl:value-of select="patente" />
					</td>
				</tr>
				<tr>
					<td>
						<b>Marital status:</b>
					</td>
					<td>
						<xsl:value-of select="statocivile" />
					</td>
				</tr>
				<tr>
					<td>
						<b>National service</b>
					</td>
					<td>
						<xsl:value-of select="serviziomilitare" />
					</td>
				</tr>
				
				<tr>
					<td>
						<b>E-Mail:</b>
					</td>
					<td>
						<xsl:value-of select="email" />
					</td>
				</tr>
				<xsl:if test="sitointernet">
					<tr>
						<td>
							<b>Website</b>
						</td>
						<td>
							<xsl:value-of select="sitointernet" />
						</td>
					</tr>
				</xsl:if>
			</tbody>
		</table>
		<br />
		<br />
	</xsl:template>
	<!-- STUDI -->
	<xsl:template match="studi">
		<table summary="studi effettuati" class="trasparente">
			<thead>
				<tr>
					<td>
						<h2>EDUCATION</h2>
					</td>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<b>A level diploma</b>
					</td>
				</tr>
				<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
					<td> <xsl:value-of select="maturita/anno" /> - 
						<xsl:value-of select="maturita/istituto" /> <br /> 
						<xsl:value-of select="maturita/titolo" />, marks 
						<b>
							<xsl:value-of select="maturita/voto" />
						</b> out of <b>
							<xsl:value-of select="maturita/voto/@massimo" />
						</b>
					</td>
				</tr>
				<tr>
					<td>
						<b>University</b>
					</td>
				</tr>
				<xsl:for-each select="laurea">
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td> <xsl:value-of select="./anno" /> - <xsl:value-of select="./universita" />, department of
						<b>
								<xsl:value-of select="./facolta" />
							</b> <br /> 
						degree: <b>
								<xsl:value-of select="./corso" />
							</b>
							<xsl:if test="./voto">
							, marks 
						<b>
								<xsl:value-of select="./voto" />
							</b> out of <b>
								<xsl:value-of select="./voto/@massimo" />
							</b>
							</xsl:if>
						<br />
						<xsl:if test="./tesi">
						thesis: <i>
								<xsl:value-of select="./tesi" />
							</i>
							</xsl:if>
						</td>
					</tr>
				</xsl:for-each>
				<tr>
					<td class="rigachiusura"></td>
				</tr>
			</tbody>
		</table>
		<br />
		<br />
	</xsl:template>
	<!-- LINGUE -->
	<xsl:template match="linguestraniere">
		<table summary="lingue straniere studiate" class="trasparente">
			<thead>
				<tr>
					<td colspan="2">
						<h2>FOREING LANGUAGES</h2>
					</td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="lingua">
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td width="30%">
							<b>
								<xsl:value-of select="." />
							</b>
						</td>
						<td>
							(european level: <b>
								<xsl:value-of select="@livelloEuropeo" />
							</b>)

						</td>
					</tr>
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td width="30%">
							<i>reading</i>
						</td>
						<td>
							<i>
								<xsl:value-of select="@lettura" />
							</i>
						</td>
					</tr>
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td width="30%">
							<i>writing</i>
						</td>
						<td>
							<i>
								<xsl:value-of select="@scrittura" />
							</i>
						</td>
					</tr>
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td width="30%">
							<i>listen</i>
						</td>
						<td>
							<i>
								<xsl:value-of select="@comprensione" />
							</i>
						</td>
					</tr>
				</xsl:for-each>
				<tr>
					<td class="rigachiusura" colspan="2"></td>
				</tr>
			</tbody>
		</table>
		<br />
		<br />
	</xsl:template>
	<!-- LAVORO -->
	<xsl:template match="lavoro">
		<table summary="esperienze lavorative effettuate" class="trasparente">
			<thead>
				<tr>
					<td colspan="3">
						<h2>WORKING EXPERIENCE</h2>
					</td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="esperienza">
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td>
							<b>
								<xsl:value-of select="data" />
							</b>
						</td>
						<td width="25%">
							<xsl:value-of select="azienda" />
						</td>
						<td>
							<xsl:value-of select="descrizione/testo" />
							<xsl:if test="descrizione/url">
								<br />
								<a>
									<xsl:attribute name="href">
										http://<xsl:value-of select="descrizione/url" /></xsl:attribute>
									<xsl:value-of select="descrizione/url" />
								</a>
							</xsl:if>
						</td>
					</tr>
				</xsl:for-each>
				<tr>
					<td class="rigachiusura" colspan="3"></td>
				</tr>
			</tbody>
		</table>
		<br />
		<br />
	</xsl:template>
	<!-- CONOSCENZA TECNICA -->
	<xsl:template match="knowhow">
		<table summary="sistemi operativi conosciuti" class="trasparente">
			<thead>
				<tr>
					<td>
						<h2>OPERATIVE SYSTEMS</h2>
					</td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="so">
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td>
							<xsl:value-of select="." />
						</td>
					</tr>
				</xsl:for-each>
				<tr>
					<td class="rigachiusura" colspan="3"></td>
				</tr>
			</tbody>
		</table>
    <br/>
    <br/>
		<table summary="sistemi operativi conosciuti" class="trasparente">
			<thead>
				<tr>
					<td colspan="2">
						<h2>PROGRAMMING LANGUAGES</h2>
					</td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="linguaggio">
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td>
							<b>
								<xsl:value-of select="." />
							</b>
						</td>
						<td width="40%">
							<xsl:value-of select="@conoscenza" />
						</td>
					</tr>
				</xsl:for-each>
				<tr>
					<td class="rigachiusura" colspan="2"></td>
				</tr>
			</tbody>
    </table>
    <br/>
    <br/>
		<table summary="Database conosciuti" class="trasparente">
			<thead>
				<tr>
					<td>
						<h2>DATABASE</h2>
					</td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="database">
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td>
							<b>
								<xsl:value-of select="." />
							</b>
						</td>
					</tr>
				</xsl:for-each>
				<tr>
					<td class="rigachiusura"></td>
				</tr>
			</tbody>
    </table>
    <br/>
    <br/>
		<table summary="Software conosciuti" class="trasparente">
			<thead>
				<tr>
					<td>
						<h2>SOFTWARE</h2>
					</td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="applicazione">
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td>
							<xsl:value-of select="." />
						</td>
					</tr>
				</xsl:for-each>
				<tr>
					<td class="rigachiusura"></td>
				</tr>
			</tbody>
			
		</table>
		<br />
		<br />
		<table summary="note" class="trasparente">
			<tbody>
				<xsl:for-each select="note">
					<tr onmouseover="this.style.backgroundColor='#C7D3FE'" onmouseout="this.style.backgroundColor='#EEEEEE'">
						<td>
							<xsl:value-of select="." />
						</td>
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
    <br/>
    <br/>
	</xsl:template>
</xsl:stylesheet>